/*------------------------------------------------------------------------------
--                                                                            --
--       This software is confidential and proprietary and may be used        --
--        only as expressly authorized by a licensing agreement from          --
--                                                                            --
--                            Hantro Products Oy.                             --
--                                                                            --
--      In the event of publication, the following notice is applicable:      --
--                                                                            --
--                   (C) COPYRIGHT 2004 HANTRO PRODUCTS OY                    --
--                            ALL RIGHTS RESERVED                             --
--                                                                            --
--          The entire notice above must be reproduced on all copies.         --
--                                                                            --
--------------------------------------------------------------------------------
--
--  Description : Encoder internal
--
--------------------------------------------------------------------------------
--
--  Version control information, please leave untouched.
--
--  $RCSfile: EncInstance.h,v $
--  $Date: 2005/11/03 14:32:38 $
--  $Revision: 1.9 $
--
------------------------------------------------------------------------------*/

#ifndef __ENCINSTANCE_H__
#define __ENCINSTANCE_H__

#include "basetype.h"
#include "EncVisualObjectSequence.h"
#include "EncVisualObject.h"
#include "EncVideoObject.h"
#include "EncVideoObjectLayer.h"
#include "EncGroupOfVideoObjectPlane.h"
#include "EncVideoObjectPlane.h"
#include "EncShortVideoHeader.h"
#include "EncVideoObjectLayer.h"
#include "EncRateControl.h"
#include "EncPreProcess.h"
#include "EncTimeCode.h"
#include "EncProfile.h"


typedef struct
{
    vos_s visualObjectSequence;
    visob_s visualObject;
    vidob_s videoObject;
    vol_s videoObjectLayer;
    govop_s groupOfVideoObjectPlane;
    vop_s videoObjectPlane;

    svh_s shortVideoHeader;

    rateControl_s rateControl;

    preProcess_s preProcess;
    timeCode_s timeCode;
    profile_s profile;
}
instance_s;

#endif  /*__ENCINSTANCE_H__*/
