/*------------------------------------------------------------------------------
--                                                                            --
--       This software is confidential and proprietary and may be used        --
--        only as expressly authorized by a licensing agreement from          --
--                                                                            --
--                            Hantro Products Oy.                             --
--                                                                            --
--      In the event of publication, the following notice is applicable:      --
--                                                                            --
--                   (C) COPYRIGHT 2003 HANTRO PRODUCTS OY                    --
--                            ALL RIGHTS RESERVED                             --
--                                                                            --
--          The entire notice above must be reproduced on all copies.         --
--                                                                            --
--------------------------------------------------------------------------------
--
--  Abstract : ASIC handling routines
--
--------------------------------------------------------------------------------
--
--  Version control information, please leave untouched.
--
--  $RCSfile: encasic.h,v $
--  $Date: 2005/12/21 04:13:03 $
--  $Revision: 1.9 $
--
------------------------------------------------------------------------------*/

#ifndef __ENCASIC_H__
#define __ENCASIC_H__

#include "enccontainer.h"
#include "basetype.h"

void EncAsicSetup(EncContainer_t * pEncCont);
i32 EncAsicMemAlloc(EncContainer_t * pEncCont);
void EncAsicMemFree(EncContainer_t * pEncCont);
void EncAsicSetPadding(EncContainer_t * pEncCont);
i32 EncAsicCheckPadding(EncContainer_t * pEncCont);

#endif /*__ENCASIC_H__*/
