/*------------------------------------------------------------------------------
--                                                                            --
--       This software is confidential and proprietary and may be used        --
--        only as expressly authorized by a licensing agreement from          --
--                                                                            --
--                            Hantro Products Oy.                             --
--                                                                            --
--      In the event of publication, the following notice is applicable:      --
--                                                                            --
--                   (C) COPYRIGHT 2003 HANTRO PRODUCTS OY                    --
--                            ALL RIGHTS RESERVED                             --
--                                                                            --
--          The entire notice above must be reproduced on all copies.         --
--                                                                            --
--------------------------------------------------------------------------------
--
--  Abstract : Memory management
--
--------------------------------------------------------------------------------
--
--  Version control information, please leave untouched.
--
--  $RCSfile: encmemory.c,v $
--  $Date: 2005/11/03 14:21:46 $
--  $Revision: 1.7 $
--
------------------------------------------------------------------------------*/
#include "encmemory.h"
#include "encasic.h"

i32 AllocMem(EncContainer_t * pEncData)
{
    ASSERT(pEncData != NULL);
    /* ASIC memory */
    if(EncAsicMemAlloc(pEncData) != 0)
        return -1;

    return 0;
}

void FreeMem(EncContainer_t * pEncData)
{
    ASSERT(pEncData != NULL);

    EncAsicMemFree(pEncData);

}
